package com.miaxis.extension.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 分成收益对象返回参
 * @author wwl
 * @version 1.0
 * @date 2021/11/26 10:33
 */
@Data
@ApiModel(value = "WxExtensionIncomeVo", description = "分成收益对象返回参")
public class WxExtensionIncomeVo {

    @TableField("nick_name")
    @ApiModelProperty(value = "微信昵称")
    private String nickName;

    @TableField("head_image")
    @ApiModelProperty(value = "微信头像地址")
    private String headImage;

    @TableField("beneficiary_openid")
    @ApiModelProperty(value = "受益人----用户唯一标识(微信)")
    private String beneficiaryOpenid;

    @ApiModelProperty(value = "总收益金额(分)")
    private Integer totalPrice;

    @ApiModelProperty(value = "已提现金额(分)")
    private Integer extractPrice;

    @ApiModelProperty(value = "剩余金额(分)")
    private Integer remainderPrice;

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getHeadImage() {
        return headImage;
    }

    public void setHeadImage(String headImage) {
        this.headImage = headImage;
    }

    public String getBeneficiaryOpenid() {
        return beneficiaryOpenid;
    }

    public void setBeneficiaryOpenid(String beneficiaryOpenid) {
        this.beneficiaryOpenid = beneficiaryOpenid;
    }

    public Integer getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(Integer totalPrice) {
        this.totalPrice = totalPrice;
    }

    public Integer getExtractPrice() {
        return extractPrice;
    }

    public void setExtractPrice(Integer extractPrice) {
        this.extractPrice = extractPrice;
    }

    public Integer getRemainderPrice() {
        return remainderPrice;
    }

    public void setRemainderPrice(Integer remainderPrice) {
        this.remainderPrice = remainderPrice;
    }
}
